MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::TriangulatedSurfaceIntegrator Class Reference

List of all members.

## Public Member Functions

| TriangulatedSurfaceIntegrator (const Ref< TriangulatedSurface > &)
void | operator= (const TriangulatedSurfaceIntegrator &)
| TriangulatedSurfaceIntegrator (const TriangulatedSurfaceIntegrator &i)
int | n ()
void | set_surface (const Ref< TriangulatedSurface > &)
int | vertex_number (int i)
double | r () const
double | s () const
double | w () const
double | surface_element () const
double | weight () const
const SCVector3 & | dA () const
Ref< Vertex > | current ()
int | update ()
int | operator< (TriangulatedSurfaceIntegrator &i)
void | operator++ ()
void | operator++ (int)
int | operator= (int)
int | itri () const
int | irs () const
int | n_in_tri () const
void | distribute (const Ref< MessageGrp > &)
void | use_fast_integrator ()
void | use_accurate_integrator ()
void | use_default_integrator ()

The documentation for this class was generated from the following file:

- surf.h